<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.excelliance.open">

    <!-- 如下内容放到AndroidManifest.xml的<application android:name="com.excelliance.open.LBApplication">标签的外面 -->
    <!-- lebian sdk permission begin -->
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.GET_TASKS" />
    <uses-permission android:name="android.permission.GET_DETAILED_TASKS" />
    <uses-permission android:name="android.permission.REORDER_TASKS" />
    <!-- lebian sdk permission end -->

    <application android:name="com.excelliance.open.LBApplication" >

        <!-- 如下内容放到AndroidManifest.xml的<application android:name="com.excelliance.open.LBApplication">标签的里面 -->
        <!-- lebian sdk components begin -->
        <meta-data
            android:name="ClientChId"
            android:value="${ClientChId}" /><!--自定义，比如百度可以设置为baidu，建议使用字母，如果使用数字，数字大小不要超过1亿,暂时不支持中文-->
        <meta-data
            android:name="MainChId"
            android:value="${MainChId}" /><!--登陆乐变管理后台www.loveota.com(大陆)或www.loveota.net（其他）查看-->
        <meta-data
            android:name="LBCloudId"
            android:value="${LBCloudId}" />
        <meta-data
            android:name="LEBIAN_SECID"
            android:value="${LEBIAN_SECID}"/><!--登陆乐变管理后台www.loveota.com(大陆)或www.loveota.net（其他）查看-->
        <meta-data
            android:name="LEBIAN_APPLICATION"
            android:value="${LEBIAN_APPLICATION}"/>


        <service
            android:name="com.excelliance.assetsonly.debug.LBSdkCrashReportService"
            android:exported="false"
            
            android:process=":lebian.bugreport">
            <intent-filter>
                <action android:name="com.excelliance.assetsonly.debug.action.CRASH_REPORT" />
                <action android:name="com.excelliance.kxqp.platform.action.CRASH_REPORT" />
            </intent-filter>
        </service>

        <service android:exported="false" android:name="com.excelliance.assetsonly.base.AssistService"
            >
            <intent-filter>
                <action android:name="com.excelliance.assetsonly.action.ASSIST" />
            </intent-filter>
        </service>
        <activity android:exported="false" android:name="com.excelliance.assetsonly.base.ForwardActivity" >
            <intent-filter>
                <action android:name="com.excelliance.assetsonly.base.action.FORWARD" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>

        <activity
            android:name="com.excelliance.open.NextChapterNew"
            android:configChanges="orientation|screenSize|smallestScreenSize|screenLayout"
            android:process=":lbmain"
            android:screenOrientation="${screenOrientation}"
            android:theme="@style/LebianNextChapterTheme"
            android:windowSoftInputMode="adjustResize"
            android:exported="false">
            <intent-filter>
                <action android:name="com.excelliance.open.action.startNextChapter" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>

        <activity
            android:name="com.excelliance.open.AssistActivity"
            android:configChanges="orientation|screenSize|smallestScreenSize|screenLayout"
            android:process=":lbmain"
            android:screenOrientation="portrait"
            android:theme="@style/LebianNoActionBarFullscreenTheme"
            android:windowSoftInputMode="adjustResize"
            android:exported="false">
            <intent-filter>
                <action android:name="com.excelliance.open.action.startAssistActivity" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>

        <activity
            android:name="com.excelliance.open.NewPromptActivity"
            android:configChanges="orientation|screenSize|smallestScreenSize|screenLayout"
            android:process=":lbmain"
            android:theme="@style/LebianPromptTheme"
            android:exported="false">
            <intent-filter>
                <action android:name="com.excelliance.open.action.startPromptActivity" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>

        <activity
            android:name="com.excelliance.assetsonly.assist.ThrusterActivity"
            android:configChanges="orientation|screenSize|smallestScreenSize|screenLayout"
            android:process=":lebian.base"
            android:theme="@style/LebianNoActionBarFullscreenTheme"
            android:exported="false">
            <intent-filter>
                <action android:name="com.excelliance.assist.action.thruster" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>

        <service
            android:exported="false"
            android:name="com.excelliance.assetsonly.base.BaseService"
            
            android:process=":lebian.base">
            <intent-filter>
                <action android:name="com.excelliance.assetsonly.action.BaseService" />
            </intent-filter>
        </service>
        <service
            android:name="com.excelliance.assetsonly.main.BGService"
            
            android:process=":lebian.dns"
            android:exported="false">
            <intent-filter>
                <action android:name="com.excelliance.open.action.gameverchk" />
                <action android:name="com.excelliance.open.action.apkverchk" />
                <action android:name="com.excelliance.open.action.dmchk" />
                <action android:name="com.excelliance.open.action.fw" />
                <action android:name="com.excelliance.open.action.bwbxdla"/>
            </intent-filter>
            <intent-filter>
                <action android:name="com.excelliance.open.NEXT_CHAPTER" />
                <action android:name="com.excelliance.open.action.PLAT_DO" />
            </intent-filter>
            <intent-filter>
                <action android:name="com.excelliance.assetsonly.action.BGService" />
            </intent-filter>
        </service>
        <provider
            android:name="com.excelliance.assetsonly.preferences.provider.LBContentProvider"
            android:authorities="${lb_target_pkgname}:com.excelliance.assetsonly.preferences.provider.LBContentProvider"
            android:process=":lebian.base"
            android:exported="false" />

        <provider
            android:name="com.excelliance.assetsonly.life.LifeCycleContentProvider"
            android:authorities="${lb_target_pkgname}:com.excelliance.assetsonly.life.LifeCycleContentProvide"
            android:process=":lebian.base"
            android:exported="false"/>
    </application>

</manifest>
